<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>

	<xsl:template match="/document">
		<ul>
			<!--    -->
			<xsl:apply-templates select="structure[show=1]"/>
		</ul>
	</xsl:template>

	<xsl:template match="structure">

		<!--    ID ,       -->
		<xsl:variable name="current_structure_id" select="/document/structure/current_structure_id"/>
		<li>
			<!--  ,   -->
			<xsl:if test="show_link=1">

				<!--    -->
				<xsl:variable name="link">
					<xsl:choose>
						<!--    -->
						<xsl:when test="is_external_link=1">
							<xsl:value-of disable-output-escaping="yes" select="external_link"/>
						</xsl:when>
						<!--     -->
						<xsl:otherwise>
							<xsl:value-of disable-output-escaping="yes" select="link"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>

				<xsl:choose>
					<!--     (   ,       ID,  ) -->
					<xsl:when test="current_structure_id=@id or count(.//structure[@id=$current_structure_id])=1">| <a href="{$link}"><xsl:value-of disable-output-escaping="yes" select="name"/></a></xsl:when>
					<!--       -->
					<xsl:otherwise>| <a href="{$link}"><xsl:value-of disable-output-escaping="yes" select="name"/></a></xsl:otherwise>
				</xsl:choose>
			</xsl:if>

			<!--     -     -->
			<xsl:if test="show_link=0">
				<xsl:value-of disable-output-escaping="yes" select="name"/>
			</xsl:if>
		</li>
	</xsl:template>
</xsl:stylesheet>