<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<!--  -->
	<xsl:template match="/">
		<xsl:apply-templates select="/shop"/>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="/shop">
		<!--   -->
		<xsl:if test="item">
			<h2> </h2>
			<!--    -->
			<xsl:apply-templates select="item"/>
		</xsl:if>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="item">
		<div class="shop_item">
			<div class="left" style="text-align: center; position: relative;">
				<!--    -->
				<xsl:if test="small_image != ''">
					<a href="{/shop/path}{fullpath}{path}/">
						<img src="{small_image}" alt="{name}" title="{name}"/>
					</a>
					<div class="hit" style="margin: {small_image/@height - 35}px 0 0 90px;"></div>
				</xsl:if>
				
				<!--    -->
				<p>
					<a href="{/shop/path}{fullpath}{path}/" title="{name}">
						<xsl:value-of disable-output-escaping="yes" select="name"/>
					</a>
				</p>
				
				<p>
					<!--  -->
					<b>
						<xsl:value-of disable-output-escaping="yes" select="price_discount"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="currency"/>&#xA0;
					</b>
					
					<!--      , :
					type = 0 -   
					type = 1 -  ,       0  -1,
					    -->
					<xsl:if test="type = 0 or (type = 1 and (eitem_count > 0 or eitem_count = -1))">
						<a href="{/shop/path}cart/?action=add&amp;item_id={@id}" onclick="return AddIntoCart('{/shop/path}', {@id}, 1)">
							<img alt=" " title=" " src="/hostcmsfiles/images/cart.gif"/>
						</a>
					</xsl:if>
				</p>
			</div>
		</div>
		
		<xsl:if test="position() mod 2 = 0">
			<div class="clearing"></div>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>