<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:template match="/locations">
		<!--    -->
		<ul class="shop_navigation gray">
		<li class="shop_navigation_current"><span> </span>&#x2192;</li>
		<li><span> </span>&#x2192;</li>
		<li><span> </span>&#x2192;</li>
		<li><span> </span></li>
		</ul>
		
		<SCRIPT type="text/javascript" language="JavaScript">
			<xsl:comment>
				<xsl:text disable-output-escaping="yes">
					<![CDATA[
					location_select_id = "location";
					city_select_id = "sel_city";
					cityarea_select_id = "sel_city_area";
					]]>
				</xsl:text>
			</xsl:comment>
		</SCRIPT>
		
		<form name="address" id="address" method="POST">
			<h1> </h1>
			<p>
				<a href="{shop/path}cart/"></a>
			</p>
			<table>
				<tr>
					<td>:</td>
					<td>
						<select id="country" style="width: 390px;" name="country" onchange="doSetLocation(this.options[this.selectedIndex].value, '{/locations/shop/path}cart/')">
							<option value="0">..</option>
							<xsl:apply-templates select="country"/>
						</select>
						<span class="red_star" style="position: relative; top: 4px;"> *</span>
					</td>
				</tr>
				
				<tr>
					<td>:</td>
					<td>
						<xsl:variable name="country_id" select="/locations//country[@select = 1]/@id" />
						
						<select name="location" style="width: 390px;" id="location" onchange="doSetCity(this.options[this.selectedIndex].value, '{/locations/shop/path}cart/')">
							<option value="0">..</option>
							<xsl:apply-templates select="location[@parent = $country_id]"/>
						</select>
						<span class="red_star" style="position: relative; top: 4px;"> *</span>
					</td>
				</tr>
				<tr>
					<td>:</td>
					<td>
						<select name="sel_city" style="width: 390px;" id="sel_city" onchange="doSetCityArea(this.options[this.selectedIndex].value, '{/locations/shop/path}cart/')">
							<option value="0">..</option>
							<xsl:apply-templates select="city[@parent = location[@parent = $country_id]]"/>
						</select>
					</td>
				</tr>
				<tr>
					<td> :</td>
					<td>
						<select name="sel_city_area" style="width: 390px;" id="sel_city_area">
							<option value="0">..</option>
						</select>
					</td>
				</tr>
				<tr>
					<td style="vertical-align: middle;">:</td>
					<td>
						<input type="text" size="5" class="large_input" style="width: 90px;" name="index" value="{external_propertys/site_users_postcode}"/>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: middle;">, , :<br/>
					(, ,   )</td>
					<td>
						<input type="text" size="30" class="large_input" style="width: 390px;" name="full_address" value="{external_propertys/site_users_address}"/>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: middle;">, , :</td>
					<td>
						<input type="text" size="30" class="large_input" style="width: 124px; margin-right: 5px;" name="site_users_surname" value="{external_propertys/site_users_surname}"/>
						<input type="text" size="30" class="large_input" style="width: 124px; margin-right: 5px;" name="site_users_name" value="{external_propertys/site_users_name}"/>
						<input type="text" size="30" class="large_input" style="width: 124px; margin-right: 5px;" name="site_users_patronymic" value="{external_propertys/site_users_patronymic}"/>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: middle;">:</td>
					<td>
						<input type="text" size="30" class="large_input" style="width: 390px;" name="site_users_company" value="{external_propertys/site_users_company}"/>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: middle;">:</td>
					<td>
						<input type="text" size="30" class="large_input" style="width: 390px;" name="site_users_phone" value="{external_propertys/site_users_phone}"/>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: middle;">:</td>
					<td>
						<input type="text" size="30" class="large_input" style="width: 390px;" name="site_users_fax" value="{external_propertys/site_users_fax}"/>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: middle;">E-mail:</td>
					<td>
						<input type="text" size="30" class="large_input" style="width: 390px;" name="site_users_email" value="{external_propertys/site_users_email}"/>
					</td>
				</tr>
				<tr>
					<td  style="vertical-align: middle;" >  :</td>
					<td>
						<textarea rows="2" class="large_input" style="width: 390px;" name="description"></textarea>
					</td>
				</tr>
				<tr>
					<td>
						<div class="gray_button">
							<div>
								<input name="step_2" value=" &#8594;" type="submit"></input>
							</div>
						</div>
					</td>
				</tr>
			</table>
		</form>
		
		<!--      -->
		<SCRIPT type="text/javascript" language="JavaScript">
			var oldHandler=window['onload'];
			window['onload']=function(){if(typeof(oldHandler)=='function'){oldHandler();}newHandler();};
			function newHandler(){
			doSetLocation(document.getElementById('country').options[document.getElementById('country').selectedIndex].value, '<xsl:value-of select="/locations/shop/path" />cart/');
			}
		</SCRIPT>
		
	</xsl:template>
	
	<!--   options   -->
	<xsl:template match="country">
		<xsl:choose>
			<!--      -->
			<xsl:when test="@select=1">
				<option value="{@id}" selected="selected" style="font-weight: bold;">
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</option>
			</xsl:when>
			<xsl:otherwise>
				<option value="{@id}">
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</option>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--   options   () -->
	<xsl:template match="location">
		<option value="{@id}">
			<xsl:value-of disable-output-escaping="yes" select="name"/>
		</option>
	</xsl:template>
	
	<!--   options   -->
	<!--<xsl:template match="city">
		<option value="{@id}">
			<xsl:value-of disable-output-escaping="yes" select="name"/>
		</option>
	</xsl:template>-->
	
	<xsl:template match="city">
		
		<xsl:choose>
			<!--      -->
			<xsl:when test="@id=2391">
				<option value="{@id}" selected="selected" style="font-weight: bold;">
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</option>
			</xsl:when>
			<xsl:otherwise>
				<option value="{@id}">
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</option>
			</xsl:otherwise>
	</xsl:choose>	</xsl:template>
	
	<!--   options   -->
	<xsl:template match="cityarea">
		<option value="{@id}">
			<xsl:value-of disable-output-escaping="yes" select="name"/>
		</option>
	</xsl:template>
	
</xsl:stylesheet>