<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<!-- XSL- "4" -->
	
	<xsl:decimal-format name="my" decimal-separator="." grouping-separator=" "/>
	
	<xsl:template match="/document_list">
		<!--    -->
		<ul class="shop_navigation gray">
		<li><span> </span>&#x2192;</li>
		<li><span> </span>&#x2192;</li>
		<li><span> </span>&#x2192;</li>
		<li class="shop_navigation_current"><span> </span></li>
		</ul>
		
		<h1>  </h1>
		
<p> <a href="{/document_list/print_link}" target="_blank"><b>    -4</b></a><xsl:text> </xsl:text><img src="/hostcmsfiles/images/new_window.gif"/>,           .</p>
		
		<xsl:apply-templates select="order_list"/>
		
		<xsl:choose>
			<xsl:when test="count(items_order) &gt; 0">
				
				<h2> </h2>
				
				<table cellspacing="0" cellpadding="0" border="0" class="shop_cart_table">
					<tr>
						<th></th>
						<th></th>
						<th></th>
						<th></th>
						<th></th>
					</tr>
					<xsl:apply-templates select="items_order"/>
					<tr class="shop_cart_table_title">
						<td colspan="3"></td>
					<td><b>:</b></td>
						<td><xsl:value-of select="format-number(order_list/sum,'### ##0.00', 'my')"/>&#xA0;<xsl:value-of select="order_list/currency/currency_name"/></td>
					</tr>
				</table>
				
			</xsl:when>
			
			<xsl:otherwise>
			<p><b>  </b></p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--      -->
	<xsl:template match="order_list">
		
		<h2> </h2>
		
		<p>
			<b>:</b>&#xA0;<xsl:value-of select="site_user_fio"/>
			<br /><b>E-mail:</b>&#xA0;<xsl:value-of select="site_users_email"/>
			<xsl:if test="site_users_phone != ''">
				<br /><b>:</b>&#xA0;<xsl:value-of select="site_users_phone"/>
			</xsl:if>
			<xsl:if test="site_users_fax != ''">
				<br /><b>:</b>&#xA0;<xsl:value-of select="site_users_fax"/>
			</xsl:if>
			
			<xsl:variable name="country" select="country_name"/>
			<xsl:variable name="location">, <xsl:value-of select="location_name"/></xsl:variable>
			<xsl:variable name="city">, <xsl:value-of select="city_name"/></xsl:variable>
			<xsl:variable name="city_area">, <xsl:value-of select="city_area_name"/></xsl:variable>
			<xsl:variable name="adres">, <xsl:value-of select="address"/></xsl:variable>
			
		<br /><b> :</b>&#xA0;<xsl:if test="index != ''"><xsl:value-of select="index"/>, </xsl:if>
			<xsl:if test="$country != ''">
				<xsl:value-of select="$country"/>
			</xsl:if>
			<xsl:if test="$location != ', '">
				<xsl:value-of select="$location"/>
			</xsl:if>
			<xsl:if test="$city != ', '">
				<xsl:value-of select="$city"/>
			</xsl:if>
			<xsl:if test="$city_area != ', '">
				<xsl:value-of select="$city_area"/>&#xA0;</xsl:if>
			<xsl:if test="$adres != ', '">
				<xsl:value-of select="$adres"/>
			</xsl:if>
			
			<xsl:if test="delivery_type/type_of_delivery_description != ''">
				<br /><b> :</b>&#xA0;<xsl:value-of select="delivery_type/type_of_delivery_description"/>
			</xsl:if>
			
			<xsl:if test="system_of_pay_description != ''">
				<br /><b> :</b>&#xA0;<xsl:value-of select="system_of_pay_name"/>
			</xsl:if>
		</p>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="items_order">
		
		<tr class="shop_cart_table">
			<td>
				<xsl:value-of select="order_items_marking"/>
			</td>
			<td>
				<xsl:choose>
					<xsl:when test="item/path != ''">
						<a href="http://{//order_list/shop/site_alias_name}{//order_list/shop/shop_path}{item/fullpath}{item/path}/">
							<xsl:value-of disable-output-escaping="yes" select="order_items_name"/>
						</a>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="order_items_name"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td>
				<xsl:value-of select="order_items_quantity"/><xsl:text> </xsl:text><xsl:value-of select="item/mesure"/>
			</td>
			<td style="white-space: nowrap">
				<xsl:value-of select="format-number(order_items_price,'### ##0.00', 'my')"/>&#xA0;<xsl:value-of select="//order_list/currency/currency_name" disable-output-escaping="yes" /></td>
			<td style="white-space: nowrap">
				<xsl:value-of select="format-number(order_items_quantity * order_items_price,'### ##0.00', 'my')"/>&#xA0;<xsl:value-of select="//order_list/currency/currency_name" disable-output-escaping="yes" /></td>
		</tr>
	</xsl:template>
</xsl:stylesheet>