<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml" />
	
	<!--  "" -->
	<xsl:template match="/shop">
		<!-- CSS     -->
		<style TYPE="text/css">
			<xsl:comment>
				<xsl:text disable-output-escaping="yes">
					<![CDATA[
					.price_table_border, .price_table_border td
					{
					border-collapse: collapse;
					empty-cells: show;
					border-width:1px;
					border-color: #CCCCCC;
					border-style: dashed;
					padding-left: 5px;
					}
					]]>
				</xsl:text>
			</xsl:comment>
		</style>
		
		<h1>-</h1>
		
		<!--   -->
		<table class="price_table_border">
			<tr bgcolor="#EEEEEE">
			<td align="center" height="25" valign="middle"><b></b></td>
			<td align="center" height="25" valign="middle"><b></b></td>
			</tr>
			<xsl:apply-templates select="/shop/item[@group = 0]"/>
			<xsl:apply-templates select="//group"><xsl:sort select="@id" data-type="number" order="ascending"/></xsl:apply-templates>
		</table>
		
		<!--       -->
		<p>
			<xsl:if test="count_items > 0 and items_on_page > 0">
				<xsl:call-template name="for">
					<xsl:with-param name="n" select="count_items div items_on_page"/>
					<xsl:with-param name="current_page" select="current_page"/>
				</xsl:call-template>
				<div style="clear: both"></div>
			</xsl:if>
		</p>
		
	</xsl:template>
	
	<!--   -->
	<xsl:template match="group">
		<xsl:variable name="attr_group_id"><xsl:value-of select="@id"/></xsl:variable>
		<xsl:if test="count(/shop/item[@group=$attr_group_id]) > 0">
			<tr>
				<td bgcolor="#EEEEEE" colspan="2">
					<xsl:value-of select="name"/>
				</td>
			</tr>
			<xsl:apply-templates select="/shop/item[@group = $attr_group_id]"/>
			<!--<xsl:with-param name="group_id" select="@id"/>
		</xsl:apply-templates>-->
	</xsl:if>
</xsl:template>

<!--  -->
<xsl:template match="/shop/item">
	<tr>
	<td><a href="{/shop/path}{fullpath}{path}/"><xsl:value-of select="name"/></a></td>
		<td><xsl:value-of select="price_discount"/>&#xA0;<xsl:value-of select="currency"/></td>
	</tr>
</xsl:template>

<!-- ============================ -->
<!--      -->
<!-- ============================ -->
<xsl:template name="for">
	<xsl:param name="i" select="0"/>
	<xsl:param name="n"/>
	<xsl:param name="current_page"/>
	
	<xsl:if test="$n > $i and $n > 1">
		<!--    -->
		<xsl:if test="$i != $current_page">
			
			
			<!--    -->
			<xsl:variable name="number_link"><xsl:choose>
					<!--     -->
					<xsl:when test="$i != 0">page-<xsl:value-of select="$i+1"/>/</xsl:when>
					<!--     -        -->
					<xsl:otherwise></xsl:otherwise>
			</xsl:choose></xsl:variable>
			
			<a href="{/shop/path}price/{$number_link}" class="page_link"><xsl:value-of select="$i+1"/></a>
		</xsl:if>
		
		<!--     -->
		<xsl:if test="$i = $current_page">
			<span class="current"><xsl:value-of select="$i+1"/></span>
		</xsl:if>
		
		<!--   .     ! -->
		<xsl:call-template name="for">
			<xsl:with-param name="i" select="$i + 1"/>
			<xsl:with-param name="n" select="$n"/>
			<xsl:with-param name="current_page" select="$current_page"/>
		</xsl:call-template>
		
	</xsl:if>
</xsl:template>

</xsl:stylesheet>